OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
cnanovdb_node1F3 Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes
cnanovdb_coord | mBBox_min
cnanovdb_coord | mBBox_max
int32_t | mOffset
uint32_t | mFlags
cnanovdb_mask4 | mValueMask
cnanovdb_mask4 | mChildMask
cnanovdb_Vec3F | mMinimum
cnanovdb_Vec3F | mMaximum
float | mAverage
float | mStdDevi
uint8_t | _reserved [(-(sizeof(cnanovdb_mask4)+sizeof(cnanovdb_Vec3F) *2+sizeof(float) *2+sizeof(cnanovdb_coord) *2+sizeof(int32_t)+sizeof(uint32_t)) &((32) -1))]
cnanovdb_tileentryF3 | mTable [1u<<(3 *4)]

## Member Data Documentation

## ◆ _reserved

uint8_t _reserved[(-(sizeof(cnanovdb_mask4)+sizeof(cnanovdb_Vec3F) *2+sizeof(float) *2+sizeof(cnanovdb_coord) *2+sizeof(int32_t)+sizeof(uint32_t)) &((32) -1))]

## ◆ mAverage

float mAverage

## ◆ mBBox_max

cnanovdb_coord mBBox_max

## ◆ mBBox_min

cnanovdb_coord mBBox_min

## ◆ mChildMask

cnanovdb_mask4 mChildMask

## ◆ mFlags

uint32_t mFlags

## ◆ mMaximum

cnanovdb_Vec3F mMaximum

## ◆ mMinimum

cnanovdb_Vec3F mMinimum

## ◆ mOffset

int32_t mOffset

## ◆ mStdDevi

float mStdDevi

## ◆ mTable

cnanovdb_tileentryF3 mTable[1u<<(3 *4)]

## ◆ mValueMask

cnanovdb_mask4 mValueMask